Add an issue to a project column
POST
/repos/{owner}/{repo}/projects/{id}/columns/{column_id}/issues/{issue_id}
const url = 'https://gitea.com/api/v1/repos/example/example/projects/1/columns/1/issues/1';const options = {method: 'POST', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gitea.com/api/v1/repos/example/example/projects/1/columns/1/issues/1 \ --header 'Authorization: Basic <credentials>'Assigns the issue to the project if it is not a member yet, then places it in the column.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
id
required
integer format: int64
Id of the project
column_id
required
integer format: int64
Id of the column
issue_id
required
integer format: int64
Global id of the issue, not the repository-local index
Responses
Section titled “Responses”APIEmpty is an empty response
default
Section titled “default”APIError is error format response
Headers
Section titled “Headers”message
string
url
string